# Get tenant compute usage records

```http
GET /analytics/v1/compute/myorg
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `GetTenantComputeUsage`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `read:compute:analytics`

Returns compute usage records for the authenticated tenant in the given time range

## Parameters

### Query parameters

- `from` (string, required) — Start of time range (RFC3339)
- `to` (string, required) — End of time range (RFC3339)
- `window` (string) — Resample window duration, full-hour only (e.g. 1h, 2h, 24h)
- `groupBy` (string) — Group by fields (comma-separated): resourceId,productCode

## Responses

### 200 — Compute usage records

Content type: `application/json`

- `series` (array of object)
  - items (object)
    - `samples` (array of object)
      - items (object)
        - `ipAddressSeconds` (integer) — IP allocation duration in seconds.
        - `networkBytesReceived` (integer)
        - `networkBytesSent` (integer)
        - `runningVmSeconds` (integer) — Running VM duration in seconds.
        - `snapshotMiBSeconds` (integer) — Snapshot size in MiB (1 MiB = 2^20 bytes) multiplied by its allocated duration in seconds.
        - `timestamp` (string)
        - `volumeMiBSeconds` (integer) — Volume size in MiB (1 MiB = 2^20 bytes) multiplied by its allocated duration in seconds.
        - `windowSizeSeconds` (integer)
    - `tags` (object)
      - `productCode` (string)
      - `resourceId` (string)

### 400 — Bad request

Content type: `application/json`

- `message` (string)

### 401 — Unauthorized

Content type: `application/json`

- `message` (string)

### 403 — Forbidden

Content type: `application/json`

- `message` (string)

### 500 — Internal server error

Content type: `application/json`

- `message` (string)
